## NAME

g.remove - Removes data base element files from the user's current mapset.

## KEYWORDS

general, map management

## SYNOPSIS

g.remove
g.remove help
g.remove [-f] [rast=string[,string,...]] [rast3d=string[,string,...]] [vect=string[,string,...]] [oldvect=string[,string,...]] [asciivect=string[,string,...]] [icon=string[,string,...]] [labels=string[,string,...]] [sites=string[,string,...]] [region=string[,string,...]] [region3d=string[,string,...]] [group=string[,string,...]] [3dview=string[,string,...]] [--verbose] [--quiet]

### Flags:

-f
  Force remove
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

rast=string[,string,...]
  rast file(s) to be removed
rast3d=string[,string,...]
  rast3d file(s) to be removed
vect=string[,string,...]
  vect file(s) to be removed
oldvect=string[,string,...]
  oldvect file(s) to be removed
asciivect=string[,string,...]
  asciivect file(s) to be removed
icon=string[,string,...]
  icon file(s) to be removed
labels=string[,string,...]
  labels file(s) to be removed
sites=string[,string,...]
  sites file(s) to be removed
region=string[,string,...]
  region file(s) to be removed
region3d=string[,string,...]
  region3d file(s) to be removed
group=string[,string,...]
  group file(s) to be removed
3dview=string[,string,...]
  3dview file(s) to be removed

## DESCRIPTION

g.remove allows the user to remove specified data base element files from the current mapset.

## EXAMPLE

For example, the below command will cause the raster maps named soils, slope, and temp, the vector maps named roads and rail, and the imagery group files named nhap.1 and nhap.2, and these files' associated support files (e.g., cell header files, category files, etc.), to be removed from the user's current mapset.

    g.remove rast=soils,slope,temp vect=roads,rail group=nhap.1,nhap.2

## NOTE

If a particular data base element file has support files associated with it (e.g., as is commonly the case with raster maps), g.remove will remove these support files along with the data base element file specified.

The user can only use g.remove to remove data files existing under the user's current mapset.

To remove multiple files, the script g.mremove may be used.

## FILES

`$GISBASE/etc/element_list` lists the element types whose files can be removed by the user.

## SEE ALSO

g.copy
g.list
g.rename
g.mremove

## AUTHOR

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2006-12-13 17:10:28 +0100 (st, 13 XII 2006) $

Main index - general index - Full index

© 2003-2014 GRASS Development Team